import { w as withInstall } from "../badge/index2.js";
import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, unref, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ":root{--panel-border-color: var(--global-neutral-color-3);--panel-border-radius: var(--global-border-radius)}.layui-panel{border-width:1px;border-style:solid;margin-bottom:15px;border-radius:var(--panel-border-radius);border-color:var(--panel-border-color);background-color:#fff;padding:12px}.layui-panel.is-hover-shadow:hover,.layui-panel.shadow{box-shadow:1px 1px 4px #00000014}\n")();
const __default__ = {
  name: "LayPanel"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    shadow: { default: "always" }
  },
  setup(__props) {
    const props = __props;
    const classes = computed(() => {
      return {
        shadow: props.shadow === "always",
        "is-hover-shadow": props.shadow === "hover"
      };
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["layui-panel", unref(classes)])
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
